PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

void CORE_spltmg_condexq | ( | int | M,
|  | int | N,
|  | float * | Q,
|  | int | LDQ
| ) |  |

CORE_spltmg_condexq generates the Q used in condex matrix generation

See http://www.mathworks.fr/fr/help/matlab/ref/gallery.html#f84-999898 gallery('condex',n,4,100)

Returns a "counter-example" matrix to a condition estimator. It has order n and scalar parameter theta (default 100).

LAPACK (RCOND): It is the inverse of this matrix that is a counter-example.

Parameters

  [in] | M | The number of rows of the matrix Q used in condex generation. M >= 0.
  [in] | N | The number of columns of the matrix A to be generated. N >= 0.
  [out] | Q | On entry, the M-by-3 matrix to be initialized. On exit, the housholder reflectors required for condex generation.
  [in] | LDQ | The leading dimension of the matrix Q. LDQ >= max(1,M).